function u(n) {
  const i = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${i}/file/preview?id=${n}`
  });
}
function o(n) {
  return `${window.$utils.env.VUE_APP_PREVIEW_ONLINE}${n}`;
}
function d(n) {
  const i = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${i}/file/download?id=${n}`
  });
}
function l(n, i, t) {
  const e = window.$utils.env.VITE_APP_SYS_SERVER_NAME, a = new FormData();
  return a.append("file", n), window.$utils.http({
    url: `${e}/file/upload?businessTableName=${i}&uid=${t}`,
    data: a,
    headers: {
      "Content-Type": "multipart/form-data"
    }
  });
}
function s(n, i, t) {
  const e = window.$utils.env.VITE_APP_SYS_SERVER_NAME;
  return window.$utils.http({
    url: `${e}/file/uploadWithBase64?businessTableName=${i}&invariantId=${t}`,
    data: n
  });
}
export {
  l as a,
  o as b,
  d,
  u as p,
  s as u
};
